Status: 解决 Resolved Start date: 2023-01-16

Priority: Normal Due date: 2023-02-03

Assignee: 移动测试一组_CDTS 刘强 % Done: 60%

Category: Estimated time: 0.00 hour

Target version:

Description

History

#1 - 2023-01-20 21:24 - CD LC 陶洪普

- Due date set to 2023-02-02

- Status changed from New to 进行中 In Progress

当打开wifi或者Ap时，会启动 wifi hal service.

在LINUX/android/frameworks/opt/net/wifi/service/java/com/android/server/wifi/WifiNative.java 中，

在Log.e(TAG, "Failed to start vendor HAL");　中添加FLAG "DTC_WIFI".

private boolean startHal() {

        synchronized (mLock) {

            if (!mIfaceMgr.hasAnyIface()) {

                if (mWifiVendorHal.isVendorHalSupported()) {

                    if (!mWifiVendorHal.startVendorHal()) {

                        Log.e(TAG, "Failed to start vendor HAL");

                        return false;

                    }

                } else {

                    Log.i(TAG, "Vendor Hal not supported, ignoring start.");

                }

            }

            return true;

        }

    }

这个库目前未申请分析，先本地编译验证．

#2 - 2023-01-30 21:45 - CD LC 陶洪普

- % Done changed from 0 to 20

提交patch

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/178209

下一步：编译验证

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2390/

#3 - 2023-02-02 23:15 - CD LC 陶洪普
https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/178209
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2390/


- Due date changed from 2023-02-02 to 2023-02-03

》 http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2390/

这个是编译的user版本，root后，也不能remount 来制造wifi加载驱动失败。

重新编译userdebug版本来验证。

正式验证时，可以尝试去掉wifi芯片或者断开pcie线来测试。

user-debug版本编译中

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2439/

#4 - 2023-02-02 23:16 - CD LC 陶洪普

软件验证方式：

移除驱动

/vendor/lib/modules/qca_cld3_qca6390.ko

#5 - 2023-02-03 16:34 - CD LC 陶洪普

测试条件设置：

1.

adb root

adb remount

adb reboot

2.

adb root

adb remount

adb shell mount -o remount -rw /vendor

adb shell mv /vendor/lib/modules/qca_cld3_qca6390.ko /vendor/lib/modules/qca_cld3_qca6390.ko-bak

adb shell sync

adb reboot

测试结果：WifiNative: DTC_WIFI: Failed to start vendor HAL

添加关键字 DTC_WIFI

--------------

打开wifi STA功能(失败)

01-01 08:25:51.359     0     0 E DTC_eth,link_delay_work_func: 3002, SQI=0, link=0

01-15 01:59:57.119   960  1320 E WifiNative: DTC_WIFI: Failed to start vendor HAL

01-01 08:25:56.479     0     0 E DTC_eth,link_delay_work_func: 3002, SQI=0, link=0

01-15 02:00:01.315   960  1320 E WifiNative: DTC_WIFI: Failed to start vendor HAL

01-01 08:26:01.599     0     0 E DTC_eth,link_delay_work_func: 3002, SQI=0, link=0

打开Wifi 热点功能(失败)

01-15 02:00:15.248   960  1320 E WifiNative: DTC_WIFI: Failed to start vendor HAL

patch:

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/178209

#6 - 2023-02-03 19:46 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成
hi 王成

没有找到刘强的账号，请帮转一下。

下面是VB的user版本，因不能mount，制造不了软件错误

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230130/202301302148-2390

如使用user版本测试，请看BSP同事可以帮修改一下板子吗？

谢谢！

#7 - 2023-02-06 15:56 - 移动测试一组_CDTS 刘强

- Assignee changed from CDTS_TEST 王成 to CD LC 陶洪普

Userdebug：

通过上述方法验证通过，制造异常后有以下日志输出：

1001  1684 E WifiNative: DTC_WIFI: Failed to start vendor HAL

恢复正常后，日志消失

报错日志仅打开使用wifi会报出

User由于不能remount，和祥林沟通后，暂时不使用损坏硬件的方式进行测试

#8 - 2023-02-07 18:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178209 general/platform/packages/modules/

Wifi

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:WLAN: Add DTC Log when wlan failedWhen the wifi chip is physically disconnected, it will causethe driver to fail to load, and cause the HAL to fail.Add logs

to identify it.TC-RID: 1201-0400228IssueID: TS-R-BUG-115373Change-Id: Ib35c9608431ce5881ffb388b3f7bff96ecf2035c

#9 - 2023-02-07 18:44 - CD LC 陶洪普

- Status changed from 进行中 In Progress to 解决 Resolved

- Assignee changed from CD LC 陶洪普 to 移动测试一组_CDTS 刘强

- % Done changed from 20 to 60

Hi 刘强，

谢谢

patch已merged。

请使用20230208及之后版本verify.

谢谢！
